-- Most popular file latest 30 min

\set TEXT_HTML 2

--explain
select
	count(hl.fileservedid) as "Count",
	substring('http://' || hostname || path || query from 1 for 80) as "30 most popular html-URL's the last 120 minutes"
from
	httplog hl, 
	hostname hn,
	path p,
	query q
where 
	hitDateTime + '120 min'::interval > 'now'
	and hl.servernameid = hn.hostnameid
	and hl.pathid = p.pathid
	and hl.queryid = q.queryid
	and hl.contenttypeid=(select contenttypeid from contenttype where contenttype='text/html')
	--and hl.contenttypeid = :TEXT_HTML -- text/html
group by
	hn.hostname,
	p.path,
	q.query
order by
	"Count" desc,
	hostname
limit 30
;
